#include <stdio.h>
#include <stdlib.h>

typedef struct _razlomak{
	int brojilac;
	int imenilac;
}razlomak;

void greska(){
	printf("-1");
	exit(EXIT_FAILURE);
}

int main(){
	//broj el.
	int nraz;
	//niz
	razlomak *raz;

	scanf("%d", &nraz);
	if(nraz < 0)
		greska();

	raz = calloc(nraz, sizeof(razlomak));
	//ovo bismo sa malloc uradili kao: malloc(nraz * sizeof(razlomak))
	//obratiti paznju na *
	//i calloc celu memoriju koja je alocirana postavlja na 0
	//malloc sa memorijom ne radi nista...
	
	if(raz == NULL)
		greska();

	int i;
	for(i = 0; i < nraz; i++)
		scanf("%d%d", &raz[i].brojilac, &raz[i].imenilac);
	
	for(i = 0; i < nraz; i++)
		printf("%d %d\n", raz[i].brojilac, raz[i].imenilac);

	free(raz);
}
