//alokacija memorije sa +1 i *2
#include <stdio.h>
#include <stdlib.h>

void greska(){
	printf("-1\n");
	exit(EXIT_FAILURE);
}

int main(int argc, char **argv){
	//kao arg kom linije ce biti prosledjen broj el. niza koji se alocira
	if(argc != 2)
		greska();

	long int n = atoi(argv[1]);
	long int i;

	long int *niz1 = NULL;
	long int *niz2 = malloc(8 * sizeof(long int));
	if(niz2 == NULL)
		greska();
	long int niz2_alocirano = 8;

	long int n_niz1 = 0;
	long int n_niz2 = 0;

	//u niz1 i niz2 cemo cuvati brojeve 1, 2, 3,... samo sto cemo niz 1
	//realocirati svaki put +1, 
	//a niz2 sa *2

	printf("poceli niz1\n");
	for(i = 0; i < n; i++){
		n_niz1++;
		niz1 = realloc(niz1, n_niz1 * sizeof(long int));
		if(niz1 == NULL)
			greska();
		niz1[n_niz1-1] = i;
	}
	printf("zavrsili niz1\n");

	printf("poceli niz2\n");
	for(i = 0; i < n; i++){
		n_niz2++;
		//memoriju SAMO alociramo kada je broj elemenata niza
		//veci od do sada alocirane memorije
		//i to je alociramo sa *2
		if(niz2_alocirano < n_niz2){	
			niz2 = realloc(niz2, 2 * niz2_alocirano * sizeof(long int));
			if(niz2 == NULL)
				greska();
			niz2_alocirano *= 2;
		}
		niz2[n_niz2-1] = i;
	}
	printf("zavrsili niz2\n");
	free(niz1);
	free(niz2);
}
