#include <stdio.h>
#include <stdlib.h>

void print_bits(unsigned int x){
	int broj_bitova = sizeof(int) * 8;
	unsigned mask = 1 << (broj_bitova - 1);
	
	int i;
	for(i = 0; i < broj_bitova; i++){
		unsigned rez = x & mask;
		if(rez == 0)
			printf("0");
		else
			printf("1");
		mask = mask >> 1;
	}
	
	printf("\n");
}

void greska(){
	printf("-1\n");
	exit(EXIT_FAILURE);
}

int main(){
	int n;
	scanf("%d", &n);
	if(n < 0 || n > 32)
		greska();	
	unsigned niz[32];
	int i;
	for(i = 0; i < n; i++){
		scanf("%u", &niz[i]);
	}
	for(i = 0; i < n; i++){
		print_bits(niz[i]);
	}

	unsigned x = 0;
	unsigned mask = 1;
	for(i = 0; i < n; i++){
		//iz i-tog broja vadimo i-ti bit - tmp
		unsigned tmp = niz[i] & mask;
		//taj i-ti bit upisujemo u x
		x = x | tmp;
		mask = mask << 1;
	}

	printf("%u\n", x);
	print_bits(x);
	return 0;
}







